This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123767 - pam should BuildRequires: glib2-devel
pam should BuildRequires: glib2-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: pam (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 10:41 EDT by Maxim Dziumanenko
Modified: 2007-04-18 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 09:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2004-05-20 10:41:40 EDT
Description of problem:
pam should BuildRequires: glib2-devel

Version-Release number of selected component (if applicable):
pam-0.77-40

How reproducible:
Always

Steps to Reproduce:
1.rpm -e glib2-devel
2.rpm --rebuild pam-0.77-40.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 John Thacker 2004-07-08 10:24:06 EDT
As an additional problem, once installed pam requires glib instead of
glib2.  glib is specified explicitly in the SPEC file, even though
looking at the calculated dependencies shows that only glib2 is used.

This is still a problem with current development, and pam-0.77-47
Comment 2 Tomas Mraz 2004-10-19 09:47:44 EDT
Already fixed by Alan Cox

Note You need to log in before you can comment on or make changes to this bug.